Create many Gifts *not recommended*
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"checkNumber": "<string>",
"iraCustodian": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]
'{
"id": "<integer>",
"transactionSource": "<string>",
"transactionId": "<string>",
"contactId": "<integer>",
"contactName": "<string>",
"contactUrl": "<string>",
"giftType": "<string>",
"giftTypeFormatted": "<string>",
"giftDate": "<dateTime>",
"giftDateFormatted": "<string>",
"amount": "<double>",
"amountFormatted": "<string>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"baseCurrencyCode": "<string>",
"batch": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"mediaOutletId": "<integer>",
"mediaOutlet": "<string>",
"grantId": "<integer>",
"grant": "<string>",
"grantUrl": "<string>",
"notes": "<string>",
"tribute": "<string>",
"tributeId": "<integer>",
"tributeType": "<string>",
"acknowledgeeIndividualId": "<integer>",
"receiptDate": "<dateTime>",
"receiptDateFormatted": "<string>",
"contactPassthroughId": "<integer>",
"contactPassthroughUrl": "<string>",
"contactIndividualId": "<integer>",
"cashAccountingCode": "<string>",
"giftAskId": "<integer>",
"contactMembershipId": "<integer>",
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"giftPremiums": [
{
"id": "<integer>",
"premiumId": "<integer>",
"premium": "<string>",
"premiumUrl": "<string>",
"quantity": "<integer>",
"display": "<string>"
},
{
"id": "<integer>",
"premiumId": "<integer>",
"premium": "<string>",
"premiumUrl": "<string>",
"quantity": "<integer>",
"display": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"expectedPaymentDate": "<dateTime>",
"expectedAmount": "<double>",
"giftId": "<integer>",
"actualAmount": "<double>"
},
{
"id": "<integer>",
"expectedPaymentDate": "<dateTime>",
"expectedAmount": "<double>",
"giftId": "<integer>",
"actualAmount": "<double>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"gift": {
"id": "<integer>",
"contactId": "<integer>",
"giftDate": "<dateTime>",
"amount": "<double>"
},
"expectedAmount": "<double>",
"expectedPaymentDate": "<dateTime>",
"dismissPaymentDate": "<dateTime>",
"fulfillPaymentDate": "<dateTime>"
},
{
"id": "<integer>",
"gift": {
"id": "<integer>",
"contactId": "<integer>",
"giftDate": "<dateTime>",
"amount": "<double>"
},
"expectedAmount": "<double>",
"expectedPaymentDate": "<dateTime>",
"dismissPaymentDate": "<dateTime>",
"fulfillPaymentDate": "<dateTime>"
}
],
"giftUrl": "<string>",
"isPrivate": "<boolean>",
"isTaxDeductible": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}How to Create and Update Gifts
Create many Gifts *not recommended*
Bulk create up to 100 Gifts at a time. Please note that this endpoint creates gifts directly onto a contact record. Using this endpoint assumes you know the precise contact the gift is matched to. Virtuous does not support cleaning up data that is caused by creating the gifts incorrectly through this endpoint. Please use the Gift Transaction endpoint as a better alternative.
POST
/
api
/
Gift
/
Bulk
Create many Gifts *not recommended*
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"checkNumber": "<string>",
"iraCustodian": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]
'{
"id": "<integer>",
"transactionSource": "<string>",
"transactionId": "<string>",
"contactId": "<integer>",
"contactName": "<string>",
"contactUrl": "<string>",
"giftType": "<string>",
"giftTypeFormatted": "<string>",
"giftDate": "<dateTime>",
"giftDateFormatted": "<string>",
"amount": "<double>",
"amountFormatted": "<string>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"baseCurrencyCode": "<string>",
"batch": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"mediaOutletId": "<integer>",
"mediaOutlet": "<string>",
"grantId": "<integer>",
"grant": "<string>",
"grantUrl": "<string>",
"notes": "<string>",
"tribute": "<string>",
"tributeId": "<integer>",
"tributeType": "<string>",
"acknowledgeeIndividualId": "<integer>",
"receiptDate": "<dateTime>",
"receiptDateFormatted": "<string>",
"contactPassthroughId": "<integer>",
"contactPassthroughUrl": "<string>",
"contactIndividualId": "<integer>",
"cashAccountingCode": "<string>",
"giftAskId": "<integer>",
"contactMembershipId": "<integer>",
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"giftPremiums": [
{
"id": "<integer>",
"premiumId": "<integer>",
"premium": "<string>",
"premiumUrl": "<string>",
"quantity": "<integer>",
"display": "<string>"
},
{
"id": "<integer>",
"premiumId": "<integer>",
"premium": "<string>",
"premiumUrl": "<string>",
"quantity": "<integer>",
"display": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"expectedPaymentDate": "<dateTime>",
"expectedAmount": "<double>",
"giftId": "<integer>",
"actualAmount": "<double>"
},
{
"id": "<integer>",
"expectedPaymentDate": "<dateTime>",
"expectedAmount": "<double>",
"giftId": "<integer>",
"actualAmount": "<double>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"gift": {
"id": "<integer>",
"contactId": "<integer>",
"giftDate": "<dateTime>",
"amount": "<double>"
},
"expectedAmount": "<double>",
"expectedPaymentDate": "<dateTime>",
"dismissPaymentDate": "<dateTime>",
"fulfillPaymentDate": "<dateTime>"
},
{
"id": "<integer>",
"gift": {
"id": "<integer>",
"contactId": "<integer>",
"giftDate": "<dateTime>",
"amount": "<double>"
},
"expectedAmount": "<double>",
"expectedPaymentDate": "<dateTime>",
"dismissPaymentDate": "<dateTime>",
"fulfillPaymentDate": "<dateTime>"
}
],
"giftUrl": "<string>",
"isPrivate": "<boolean>",
"isTaxDeductible": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on April 24, 2026
Was this page helpful?
⌘I